<?php
/*################################################
@author: Code Tecnologia
@date: 25/03/2019
@version: 1.00
@purpose: Classe responsavel por cadastrar uma indicacao

Resposta esperada:
{ 
"erro": false,
"mensagem":"Indicacao salva com sucesso."
}
*/
  
################################################*/

	include_once("connect.php");

	mysqli_query($conexao,"SET NAMES 'utf8'");
    mysqli_query($conexao,'SET character_set_connection=utf8');
    mysqli_query($conexao,'SET character_set_client=utf8');
    mysqli_query($conexao,'SET character_set_results=utf8');

//Funcao para exibir o json
function exibir_json($json){
    $echo_json = json_encode($json);
    $json = array_map('utf8_encode', $json);
	echo $echo_json;
}

//Verificando se a mensagem foi transmitida por POST
if(strcasecmp($_SERVER['REQUEST_METHOD'], 'POST') != 0){  
    $status = array(
				'erro' => 'true',
				'mensagem' => 'O formato recebido não é um POST');
    //$json = json_encode($status);
	exibir_json($status);
    exit(0);
}

//Verificando se o Content-type � 'application/json'
/*
$contentType = isset($_SERVER["CONTENT_TYPE"]) ? trim($_SERVER["CONTENT_TYPE"]) : '';
if(strcasecmp($contentType, 'application/json') != 0){
    $status = array(
				'erro' => 'true',
				'mensagem' => 'O tipo da mensagem est� incorreto.');
    $json = json_encode($status);
	exibir_json($json);
    exit(0);
}
*/



//recebendo a requisicao
$content = file_get_contents("php://input");
$content = utf8_encode($content); //evita erros


  //obtendo informacoes do Header da mensagem
/*
	$nome 		 	= isset($_SERVER["HTTP_NOME"]) 			? trim($_SERVER["HTTP_NOME"]) 			: '';
	$id_indicacao 	= isset($_SERVER["HTTP_ID"]) 			? trim($_SERVER["HTTP_ID"]) 			: '';
	$ramoatividade 	= isset($_SERVER["HTTP_RAMOATIVIDADE"]) ? trim($_SERVER["HTTP_RAMOATIVIDADE"]) 	: '';
	$email	 		= isset($_SERVER["HTTP_EMAIL"]) 		? trim($_SERVER["HTTP_EMAIL"]) 			: '';
	$telefone		= isset($_SERVER["HTTP_TELEFONE"]) 		? trim($_SERVER["HTTP_TELEFONE"]) 		: '';
*/

	$token		 	= isset($_SERVER["HTTP_TOKEN"]) 		? trim($_SERVER["HTTP_TOKEN"]) 			: '';
	$id_parceiro 	= base64_decode($token);
	//isset($_SERVER["HTTP_ID"]) 			? trim($_SERVER["HTTP_ID"]) 		: 0;


  //obtendo informacoes do Header da mensagem
  
  //echo "Token" . $token . "<br>";
  
   	$nome 		 	= isset($_POST["nome"]) 			? trim($_POST["nome"]) 			            : '';
	$id_indicacao 	= isset($_POST["id"]) 			    ? trim($_POST["id"]) 			            : '';
	$ramoatividade 	= isset($_POST["ramoAtividade"])    ? trim($_POST["ramoAtividade"])             : '';
	$email	 		= isset($_POST["email"]) 		    ? trim($_POST["email"]) 			        : '';
	$telefone		= isset($_POST["telefone"]) 		? trim($_POST["telefone"]) 		            : '';
	//$token		 	= isset($_POST["token"]) 		    ? trim($_POST["token"]) 			        : '';
	$id_parceiro 	= base64_decode($token);

	
	/*
	echo "Nome: " 			. $nome . "<br/>";
	echo "ID Indicado: " 	. $id_indicacao . "</br>";
	echo "Ramo: " 			. $ramoatividade . "<br/>";
	echo "Email: " 			. $email . "<br/>";
	echo "Telefone: " 		. $telefone . "<br/>";
	echo "Token " 			. $token . "<br/>";
	echo "ID Parceiro " 	. $id_parceiro . "<br/>";
	
	
	exit(0);
	*/
	
	

	
	//Caso o mobile passe a variavel sem valor, ocorrera uma insercao.
	if (empty($id_indicacao)){
			$id_indicacao = 0;
		}
	
	if (empty($token)){
		$status = array(
					'erro' => 'true',
					'mensagem' => 'Token nao informado ou inválido');
		  //$json = json_encode($status);
		  //enviarCurl($url,$json);
		  exibir_json($status);
		  exit(0);
	}
	
/*Checando dados obrigat�rios*/  
    if(empty($nome) || 
	   empty($ramoatividade)|| 
	   empty($email)|| 
	   empty($telefone)|| 
	   empty($id_parceiro)){
      
		  $status = array(
					'erro' => 'true',
                    'mensagem' => 'Campos obrigatórios não preenchidos');
					//'mensagem' => 'Campos obrigatórios não preenchidos |nome= ' . $nome . '|ramo= ' . $ramoatividade . '|email= ' . $email . '| telefone= ' . $telefone . '| id=' . $id_parceiro);
		  //$json = json_encode($status);
		  //enviarCurl($url,$json);
		  exibir_json($status);
		  exit(0);
      
    }else{
		
		$consulta_parceiro = "select * 
								from contabilidades
							   where id = $id_parceiro";
		
		/*
		echo $consulta_parceiro;
		exit(0);
		*/
		
		$result = mysqli_query($conexao, $consulta_parceiro) or die(mysqli_error($conexao));
        if(mysqli_num_rows($result)>0){

			if ($id_indicacao==0){
				$cadastrar_indicacao = "insert into clientes (ds_razao_social
													  ,ds_ramo_atividade
													  ,ds_email
													  ,ds_telefone
													  ,id_status
													  ,id_status_reportado
													  ,st_ativo
													  ,id_contabilidade
													  ,id_consultor) 
											 values ('$nome'
													 ,'$ramoatividade'
													 ,'$email'
													 ,'$telefone'
													 ,1
													 ,1
													 ,1
													 ,$id_parceiro
													 ,(select id from consultores
													  where lower(ds_nome) like '%mobile%')
													)";
			}else{
				$cadastrar_indicacao = "update clientes set 
													   ds_razao_social = '$nome'
													  ,ds_ramo_atividade = '$ramoatividade'
													  ,ds_email = '$email'
													  ,ds_telefone = '$telefone'
											 where id = $id_indicacao";
			}
	
		// echo $cadastrar_indicacao;
		// exit(0);
										

		//Executa a manutencao do parceiro
		mysqli_query($conexao, $cadastrar_indicacao) or die ($conexao);
		

										
			$status = array( 'erro' => 'false'
						,'mensagem' => 'Indicação salva com sucesso.'
						);
            //$json = json_encode($status);
            exibir_json($status);

		}else{
	
			$status = array( 'erro' => 'true'
						,'mensagem' => 'ERRO! Falha ao realizar indicação.'
						);
            //$json = json_encode($status);
            exibir_json($status);
		}
		
				
				//exibir_json($status);
                exit(0);
            }
        
	


?>